Content & StorefrontProducts
Create product review
Submits a review for a product. It is not published immediately: the merchant moderates it first.
POST
/v1/products/{productId}/reviewsSubmits a review for a product. It is not published immediately: the merchant moderates it first.
Path Parameters
productId*string
Identifier of the product.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/products/7204558912004325301/reviews" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "rating": 1, "content": "example", "title": "Example title", "reviewerName": "Example resource", "reviewerEmail": "andrea@example.com", "orderId": "7204558912004325301", "reviewToken": "replace_with_the_issued_token" }'{ "id": "7204558912004325301", "productId": "7204558912004325301", "isVerifiedPurchase": false, "rating": 1, "title": "Example title", "content": "example", "reviewerName": "Example resource", "createdOn": "2026-08-01T15:30:00Z"}